From bc816e89a10a39fe7c58212a07ad77527a19355b Mon Sep 17 00:00:00 2001
Message-Id: <bc816e89a10a39fe7c58212a07ad77527a19355b.1729896122.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Fri, 25 Oct 2024 22:34:48 +0000
Subject: [PATCH] gnu: julia-changesofvariables: Update to 0.1.9.

* gnu/packages/julia-xyz.scm (julia-changesofvariables): Update to 0.1.9.

Change-Id: I5bb8acad2d4ff0f7c66d86b8353e7e1f8698a55a
---
 gnu/packages/julia-xyz.scm | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 77385ee6e0..b968d3906e 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -1004,7 +1004,7 @@ (define-public julia-chainrulestestutils
 (define-public julia-changesofvariables
   (package
     (name "julia-changesofvariables")
-    (version "0.1.4")
+    (version "0.1.9")
     (source
      (origin
        (method git-fetch)
@@ -1013,17 +1013,23 @@ (define-public julia-changesofvariables
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1migyhiqr1rq496302wlkb0s5l8zwqs97ajfkip0jzpvrk2s2xxy"))))
+        (base32 "0szkmz7r41hi4zbxli5m9g5r3gyg87y0vc0rd1s1rp28p34a3grw"))))
     (build-system julia-build-system)
     (arguments
      ;; Pulls in ForwardDiff, would have a cyclical
      ;; dependency with LogExpFunctions.
-     (list #:tests? #f))
-    (propagated-inputs
-     (list julia-chainrulescore))
+     (list
+      #:tests? #f
+      #:julia-package-name "ChangesOfVariables"
+      #:julia-package-uuid "9e997f8a-9a97-42d5-a9f1-ce6bfc15e2c0"
+      #:julia-package-dependencies
+      #~(list '("LinearAlgebra" . "37e2e46d-f89d-539d-b4ee-838fcccc9c8e")
+              '("Test" . "8dfed614-e22c-5e08-85e1-65c5234f0b40"))))
+    (propagated-inputs (list julia-chainrulescore julia-inversefunctions))
     (home-page "https://github.com/JuliaMath/ChangesOfVariables.jl")
     (synopsis "Interface for transformation functions in Julia")
-    (description "This package defines functionality to calculate volume element
+    (description
+     "This package defines functionality to calculate volume element
 changes for functions that perform a change of variables (like coordinate
 transformations).")
     (license license:expat)))

base-commit: 00cb8509a46115950173f5a217abea43faa5515c
-- 
2.34.1

